PropertyExpression (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class PropertyExpression

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.PropertyExpression

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

Direct Known Subclasses:
  PropertyConstruction, PropertyId, PropertyRestriction

    public abstract class PropertyExpression

extends PathExpression
implements Cloneable, Visitable

Represents a PropertyExpression.

$Id: PropertyExpression.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.7 $
Author:
  Francois Scharffe, Adrian Mocan, richi

Field Summary
`private TransfService` | `transf` The transformation service

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`PropertyExpression()` Creates a simple PropertyExpression with the given ExpressionDefinition, conditions and transf.

Method Summary
`void` | `accept(AlignmentVisitor visitor)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transf

    private TransfService transf

  The transformation service

Constructor Detail

### PropertyExpression

    public PropertyExpression()

  Creates a simple PropertyExpression with the given ExpressionDefinition, conditions and transf.

  Parameters:
    `id` - the ExpressionDefinition
    `conditions` - the conditions for the expression
    `transf` - the transformation service
  Throws:
    `IllegalArgumentException` - if there are other ids than PropertyId
    `NullPointerException` - if the id is `null`

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `PathExpression`
  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010